# Manage wallets

## Import an existing wallet

Optionally import a mnemonic string of an existing EOA wallet and store it on the user's device.

```dart
final someExistingMnemonic = "some value from other product or IO...";
final wallet = await WalletManager.getInstance().importExistingWallet(someExistingMnemonic);
```

## Reading balances

View the Gasless Transaction section on [balances](/flutter/gasless-transactions/using-with-embedded-wallets.md#read-balances).

## Recovery and persistence

By default, EOA wallets are generated on-device and backed up to the user's cloud.  Read about [key persistence](/flutter/embedded-wallets/how-it-works.md#persistence) here.

## Gasless transactions

View the [Gasless Transaction](/flutter/gasless-transactions/overview.md) section on how to transfer tokens, deploy contracts, and transact with contracts gaslessly.

## Full API Reference&#x20;

View the [full API reference](https://pub.dev/documentation/rly_network_flutter_sdk/latest/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rallyprotocol.com/flutter/embedded-wallets/manage-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
